<!DOCTYPE html>
<html lang="ca">
  <head>
    <meta charset="UTF-8">
    <meta name="author" content="Josep Queralt">
    <title>Llenguatges de marques lleugers</title>
    <meta content="yes" name="apple-mobile-web-app-capable">
    <meta content="black-translucent" name="apple-mobile-web-app-status-bar-style">
    <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no, minimal-ui" name="viewport">
    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css" rel="stylesheet">
    <link href="reveal.js/css/reveal.css" rel="stylesheet">
    <link rel="stylesheet" href="reveal.js/css/theme/solarized.css" id="theme">
    <link href="reveal.js/lib/css/zenburn.css" rel="stylesheet">
    <script src="http://getfirebug.com/firebug-lite.js#startOpened=false"></script>
    <script type="text/javascript">document.write('<link rel="stylesheet" href="reveal.js/css/print/' + ( window.location.search.match(/print-pdf/gi) ? 'pdf' : 'paper' ) + '.css" type="text/css" media="print">');</script>
  </head>
  <body>
    <div class="reveal">
      <div class="slides">
<section>
  <section id="trueels_meus_problemes_amb_el_word" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>Els meus problemes amb el WORD</h2>
<div class="ulist $$id apply call data-line-21">
  <ul class="$$id apply call">
    <li>
      <p>Tinc dues mans per escriure, em falta una mà pel <strong class="$$id apply call">ratolí</strong>.
      </p>
    </li>
    <li>
      <p>Encara no entenc com van els estils.
      </p>
    </li>
    <li>
      <p>Faig material per la docència, NO m&#8217;importa el format, m&#8217;importa el <strong class="$$id apply call">contingut</strong>.
      </p>
    </li>
    <li>
      <p>BLOBs al control de versions.
      </p>
    </li>
  </ul>
</div>
  </section>
</section>

<section>
  <section id="truellenguatges_de_marques_lleugers" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>Llenguatges de marques lleugers</h2>
<div id="" class="paragraph data-line-28">
  <p>Per esquivar el problemes anteriors existeixen els <strong class="$$id apply call">llenguatges de marques lleugers</strong>, i alguns no tan lleugers&#8230;&#8203;</p>
</div>
<div class="ulist $$id apply call data-line-30">
  <ul class="$$id apply call">
    <li>
      <p>LateX
      </p>
    </li>
    <li>
      <p>DocBook
      </p>
    </li>
    <li>
      <p>MarkDown
      </p>
    </li>
    <li>
      <p>AsciiDoc
      </p>
    </li>
  </ul>
</div>
<div id="" class="admonitionblock tip data-line-35">
  <table>
    <tr>
      <td class="icon"><i title="Tip" class="icon-tip"></i>El senyor Donald Knuth va crear <span style="" class="image $$id apply call"><img src="images/texlogo.png" alt="" width="60" height="" title=""/></span> al 1978!!
      </td>
    </tr>
  </table>
</div>
  </section>
</section>

<section>
  <section id="truelatex" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>LaTeX</h2>
<div id="" class="paragraph data-line-39">
  <p>Estàndard de facto en la composició d'<strong class="$$id apply call">articles acadèmics</strong>, <strong class="$$id apply call">tesis</strong> i llibres tècnics.</p>
</div>
<div id="" class="listingblock data-line-42">
  <div class="content">
    <pre lang="" class="highlight true"><code class="latex language-#{language}">\documentclass[a4paper]{article}
\usepackage[english]{babel}
\title{A \LaTeX{} Example}
\date{}
\begin{document}
\maketitle
\section{A beautiful equation}
\LaTeX{} is great at typesetting mathematics. The time dependent Schr{\"o}dinger equation, for
instance, is simply written as
$$i\hbar \frac{\partial}{\partial t}\Psi \left(\mathbf{r},t\right)=
\hat{H}\Psi\left(\mathbf{r},t\right).$$
\end{document}</code></pre>
  </div>
</div>
  </section>
</section>

<section>
  <section id="truelatex_2" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>LaTeX</h2>
<div id="" style="text-align:;float:float: " class="imageblock data-line-59">
  <div class="content"><img src="images/latexexample.png" alt="latexexample" width="" height="" style="0:background: "/>
  </div>
</div>
  </section>
</section>

<section>
  <section id="truedocbook" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>DocBook</h2>
<div id="" class="paragraph data-line-63">
  <p>EL podem trobar en el context del <strong class="$$id apply call">Linux Documentation Project</strong> i als llibres tècnics de <strong class="$$id apply call">l&#8217;editorial O&#8217;Reilly</strong>.</p>
</div>
<div id="" class="listingblock data-line-66">
  <div class="content">
    <pre lang="" class="highlight true"><code class="docbook language-#{language}">&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;book xml:id="simple_book" xmlns="http://docbook.org/ns/docbook" version="5.0"&gt;
&lt;title&gt;Very simple book&lt;/title&gt;
&lt;chapter xml:id="chapter_1"&gt;
&lt;title&gt;Chapter 1&lt;/title&gt;
&lt;para&gt;Hello world!&lt;/para&gt;
&lt;para&gt;
I hope that your day is proceeding &lt;emphasis&gt;splendidly&lt;/emphasis&gt;!
&lt;/para&gt;
&lt;/chapter&gt;
&lt;chapter xml:id="chapter_2"&gt;
&lt;title&gt;Chapter 2&lt;/title&gt;
&lt;para&gt;Hello again, world!&lt;/para&gt;
&lt;/chapter&gt;
&lt;/book&gt;</code></pre>
  </div>
</div>
  </section>
</section>

<section>
  <section id="truemarkdown" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>Markdown</h2>
<div class="ulist $$id apply call data-line-86">
  <ul class="$$id apply call">
    <li>
      <p>Estàndard per la documentació en projectes <strong class="$$id apply call">git</strong>.
      </p>
    </li>
    <li>
      <p>Estàndard en els <strong class="$$id apply call">generadors de llocs web estàtics</strong>, com Jekyll per exemple.
      </p>
    </li>
    <li>
      <p>El problema principal és la <strong class="$$id apply call">falta d&#8217;estandardització</strong> del llenguatge.
      </p>
    </li>
  </ul>
</div>
<div id="" class="listingblock data-line-91">
  <div class="content">
    <pre lang="" class="highlight true"><code class="markdown language-#{language}">Capaçalera h2
------------

Llista numerada:

 1. primer element
 2. segon element
 3. tercer element

El codi font s'indica escrivint 4 posicions a la dreta del marge com a l'exemple següent:

    # Repetim...
    for i in 1 .. 10 { bla bla bla }</code></pre>
  </div>
</div>
  </section>
</section>

<section>
  <section id="trueasciidoc" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>AsciiDoc</h2>
<div class="ulist $$id apply call data-line-109">
  <ul class="$$id apply call">
    <li>
      <p>Es pot entendre com una <strong class="$$id apply call">iteració actualitzada</strong> de markdown.
      </p>
    </li>
    <li>
      <p>Intenta definir un <strong class="$$id apply call">estàndard</strong>.
      </p>
    </li>
    <li>
      <p>Inspirat en les plantilles bàsiques de LaTeX.
      </p>
    </li>
    <li>
      <p>Permet, entre d&#8217;altres, crear articles, llibres, transparències i pàgines man.
      </p>
    </li>
    <li>
      <p>Admet diferents backends, HTML5, DocBook, PDF, ePub, LaTeX&#8230;&#8203;, permetent una estratègia de "toolchain"
      </p>
    </li>
  </ul>
</div>
  </section>
</section>

<section>
  <section id="trueencarnacions_12" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>Encarnacions (1/2)</h2>
<div id="" class="olist arabic data-line-117">
  <ol start="" type="" class="arabic">
    <li>
      <p>AsciiDoc(<a href="http://asciidoc.org" target="" class="bare">http://asciidoc.org</a>)</p>
<div id="" class="paragraph data-line-119">
  <p>Versió original escrita en python (GPLv2).</p>
</div>
    </li>
    <li>
      <p>AsciiDoctor(<a href="https://asciidoctor.org" target="" class="bare">https://asciidoctor.org</a>)</p>
<div id="" class="paragraph data-line-123">
  <p>Versio més actual i millorada de l&#8217;original, escrita en Ruby (MIT License).</p>
</div>
    </li>
    <li>
      <p>AsciidoctorJ(<a href="https://github.com/asciidoctor/asciidoctorj" target="" class="bare">https://github.com/asciidoctor/asciidoctorj</a>)</p>
<div id="" class="paragraph data-line-127">
  <p>Llibreria oficial per executar Aciidoctor a la JVM.</p>
</div>
    </li>
  </ol>
</div>
  </section>
</section>

<section>
  <section id="trueencarnacions_22" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>Encarnacions (2/2)</h2>
<div id="" class="olist arabic data-line-132">
  <ol start="4" type="" class="arabic">
    <li>
      <p>Asciidoctor.js(<a href="https://github.com/asciidoctor/asciidoctor.js" target="" class="$$id apply call">https://github.com/asciidoctor/asciidoctor.js</a>)</p>
<div id="" class="paragraph data-line-134">
  <p>Transcompila amb <strong class="$$id apply call"><em class="$$id apply call">Opal</em></strong> de Asciidoctor a JavaScript.</p>
</div>
    </li>
    <li>
      <p>A més existeixen plugins per <strong class="$$id apply call">Maven</strong>, <strong class="$$id apply call">Gradle</strong> i <strong class="$$id apply call">JavaDoc</strong>.</p>
    </li>
  </ol>
</div>
  </section>
</section>

<section>
  <section id="trueworkflows_12" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>Workflows (1/2)</h2>
<div id="" class="paragraph data-line-140">
  <p>Si volem treballar amb asciidoctor podem utilitzar:</p>
</div>
<div id="" class="olist arabic data-line-142">
  <ol start="" type="" class="arabic">
    <li>
      <p>Qualsevol editor de text compilant manualment amb la comanda <strong class="$$id apply call">asciidoctor</strong></p>
<div id="" class="listingblock data-line-144">
  <div class="content">
    <pre lang="" class="highlight true"><code>asciidoctor document.adoc</code></pre>
  </div>
</div>
    </li>
    <li>
      <p>La majoria d&#8217;editors de text importants, <strong class="$$id apply call">atom</strong>, <strong class="$$id apply call">brackets</strong>, <strong class="$$id apply call">code</strong>, <strong class="$$id apply call">netbeans</strong>, <strong class="$$id apply call">eclipse</strong>, etc&#8230;&#8203; tenen plugins per a asciidoctor.</p>
<div class="ulist $$id apply call data-line-149">
  <ul class="$$id apply call">
    <li>
      <p>Aquests plugins,en general, només <strong class="$$id apply call">coloren</strong> i permeten passar de asciidoctor a <strong class="$$id apply call">html</strong>.
      </p>
    </li>
  </ul>
</div>
    </li>
  </ol>
</div>
  </section>
</section>

<section>
  <section id="trueworkflows_22" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>Workflows (2/2)</h2>
<div id="" class="olist arabic data-line-154">
  <ol start="3" type="" class="arabic">
    <li>
      <p>Jugant amb diferents eines enllaçant diferents conversors començant pe run document asciidoctor. Per exemple:</p>
<div class="ulist $$id apply call data-line-155">
  <ul class="$$id apply call">
    <li>
      <p>asciidoctor &#8594; LaTeX &#8594; pdf
      </p>
    </li>
    <li>
      <p>asciidoctor &#8594; DocBook &#8594; ePub
      </p>
    </li>
    <li>
      <p>asciidoctor &#8594; DocBook &#8594; Pdf
      </p>
    </li>
  </ul>
</div>
    </li>
    <li>
      <p>També existeixen eines online:</p>
<div class="ulist $$id apply call data-line-160">
  <ul class="$$id apply call">
    <li>
      <p><a href="http://espadrine.github.io/AsciiDocBox/" target="" class="bare">http://espadrine.github.io/AsciiDocBox/</a>
      </p>
    </li>
  </ul>
</div>
    </li>
  </ol>
</div>
  </section>
</section>

<section>
  <section id="trueasciidocfx" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>AsciiDocFX</h2>
<div id="" class="olist arabic data-line-165">
  <ol start="5" type="" class="arabic">
    <li>
      <p>AsciidocFX (<a href="https://asciidocfx.com" target="" class="bare">https://asciidocfx.com</a>) es tracta d&#8217;una de les eines més senzilles d&#8217;utilitzar, consistent en un editor amb <strong class="$$id apply call">AsciidoctorJ</strong> integrat i amb els "toolchains" predefinits:</p>
<div class="ulist $$id apply call data-line-166">
  <ul class="$$id apply call">
    <li>
      <p>asciidoctor &#8594; DocBook &#8594; Pdf
      </p>
    </li>
    <li>
      <p>asciidoctor &#8594; DocBook &#8594; ePub
      </p>
    </li>
    <li>
      <p>asciidoctor &#8594; DocBook &#8594; HTML
      </p>
    </li>
    <li>
      <p>asciidoctor &#8594; DocBook
      </p>
    </li>
  </ul>
</div>
    </li>
  </ol>
</div>
  </section>
</section>

<section>
  <section id="trueecosistema_12" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>Ecosistema (1/2)</h2>
<div class="ulist $$id apply call data-line-173">
  <ul class="$$id apply call">
    <li>
      <p>Existeixen una sèrie de llibreries que seguint la filosofia dels llenguatges de marques lleugers <strong class="$$id apply call">permeten fer diagrames</strong>.
      </p>
<div class="ulist $$id apply call data-line-174">
  <ul class="$$id apply call">
    <li>
      <p>Moltes d&#8217;elles s&#8217;integren directament en els documents AsciiDoc.
      </p>
    </li>
  </ul>
</div>
    </li>
  </ul>
</div>
  </section>
</section>

<section>
  <section id="trueecosistema_22" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>Ecosistema (2/2)</h2>
<div class="ulist $$id apply call data-line-178">
  <ul class="$$id apply call">
    <li>
      <p>ditaa (<a href="http://ditaa.sourceforge.net/" target="" class="bare">http://ditaa.sourceforge.net/</a>) Transforma diagrames ascii en imatges.
      </p>
    </li>
    <li>
      <p>graphviz (<a href="http://www.graphviz.org/" target="" class="bare">http://www.graphviz.org/</a>) PErmet dibuixar grafs a partir d&#8217;una representació textual.
      </p>
    </li>
    <li>
      <p>plantuml (<a href="http://plantuml.com/" target="" class="bare">http://plantuml.com/</a>) Dibuixa diagrames UML a partir de text.
      </p>
    </li>
    <li>
      <p>MathJax (<a href="https://www.mathjax.org/" target="" class="bare">https://www.mathjax.org/</a>) Editor de fórmules matemàtiques.
      </p>
    </li>
  </ul>
</div>
  </section>
</section>

<section>
  <section id="truedemos" data-transition="" data-transition-speed="" data-background="" data-background-size="" data-background-repeat="" data-background-transition="">
    <h2>Demos</h2>
<div id="" style="text-align:;float:float: " class="imageblock data-line-185">
  <div class="content"><img src="images/end.jpg" alt="end" width="" height="" style="0:background: "/>
  </div>
</div>
  </section>
</section></div>
    </div>
    <script src="reveal.js/lib/js/head.min.js"></script>
    <script src="reveal.js/js/reveal.js"></script>
    <script type="text/javascript">
      function initializeReveal() {
        // See https://github.com/hakimel/reveal.js#configuration for a full list of configuration options
        Reveal.initialize({
          // Display controls in the bottom right corner
          controls: true,
          // Display a presentation progress bar
          progress: true,
          // Display the page number of the current slide
          slideNumber: true,
          // Push each slide change to the browser history
          history: true,
          // Enable keyboard shortcuts for navigation
          keyboard: true,
          // Enable the slide overview mode
          overview: true,
          // Vertical centering of slides
          center: false,
          // Enables touch navigation on devices with touch input
          touch: true,
          // Loop the presentation
          loop: false,
          // Change the presentation direction to be RTL
          rtl: false,
          // Turns fragments on and off globally
          fragments: true,
          // Flags if the presentation is running in an embedded mode,
          // i.e. contained within a limited portion of the screen
          embedded: false,
          // Number of milliseconds between automatically proceeding to the
          // next slide, disabled when set to 0, this value can be overwritten
          // by using a data-autoslide attribute on your slides
          autoSlide: 0,
          // Stop auto-sliding after user input
          autoSlideStoppable: true,
          // Enable slide navigation via mouse wheel
          mouseWheel: true,
          // Hides the address bar on mobile devices
          hideAddressBar: true,
          // Opens links in an iframe preview overlay
          previewLinks: false,
          // Theme (e.g., beige, blond, default, moon, night, serif, simple, sky, solarized)
          theme: Reveal.getQueryHash().theme || 'solarized',
          // Transition style (e.g., default, cube, page, concave, zoom, linear, fade, none)
          transition: Reveal.getQueryHash().transition || 'concave',
          // Transition speed (e.g., default, fast, slow)
          transitionSpeed: 'default',
          // Transition style for full page slide backgrounds (e.g., default, none, slide, concave, convex, zoom)
          backgroundTransition: 'default',
          // Number of slides away from the current that are visible
          viewDistance: 3,
          // Parallax background image (e.g., "'https://s3.amazonaws.com/hakim-static/reveal-js/reveal-parallax-1.jpg'")
          parallaxBackgroundImage: '',
          // Parallax background size in CSS syntax (e.g., "2100px 900px")
          parallaxBackgroundSize: '',
          // Optional libraries used to extend on reveal.js
          dependencies: [
            {
              src: 'reveal.js/lib/js/classList.js',
              condition: function () { return !document.body.classList; }
            },
            { src: '#{revealjsdir}/plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } },
            {
              src: 'reveal.js/plugin/zoom-js/zoom.js',
              async: true,
              condition: function () { return !!document.body.classList; }
            },
            {
              src: 'reveal.js/plugin/notes/notes.js',
              async: true,
              condition: function () { return !!document.body.classList; }
            }
          ]
        });
      }
      initializeReveal();
    </script>
  </body>
</html>